package com.cim.idm.wmspackage.storage.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.HistoryDataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class StorageSpecHistory extends FieldAccessor implements HistoryDataInfo<StorageSpecHistoryKey>{
	
	private StorageSpecHistoryKey key;
	
	private String areaName;
	private String superStorageName;
	private String storageUseType;
	private String storageOperationType;
	private String contentType;
	private long capacity;
	private String f;
	private String s;
	private String x;
	private String y;
	private String z;
	private String description;
	private Timestamp createTime;
	private String createUser;
	
	private String eventName;
	private Timestamp eventTime;
	private String eventUser;
	private String eventComment;
	
//	@UserColumnMark
//	private String userColumn1;
//	@UserColumnMark
//	private String userColumn2;
	

	@Override
	public StorageSpecHistoryKey getKey() {
		return key;
	}

	@Override
	public void setKey(StorageSpecHistoryKey keyInfo) {
		this.key = keyInfo;
	}

	public String getAreaName() {
		return areaName;
	}

	public void setAreaName(String areaName) {
		this.areaName = areaName;
	}

	public String getSuperStorageName() {
		return superStorageName;
	}

	public void setSuperStorageName(String superStorageName) {
		this.superStorageName = superStorageName;
	}
	

	public String getStorageUseType() {
		return storageUseType;
	}

	public void setStorageUseType(String storageUseType) {
		this.storageUseType = storageUseType;
	}

	public String getStorageOperationType() {
		return storageOperationType;
	}

	public void setStorageOperationType(String storageOperationType) {
		this.storageOperationType = storageOperationType;
	}

	public String getContentType() {
		return contentType;
	}

	public void setContentType(String contentType) {
		this.contentType = contentType;
	}

	public long getCapacity() {
		return capacity;
	}

	public void setCapacity(long capacity) {
		this.capacity = capacity;
	}

	public String getF() {
		return f;
	}

	public void setF(String f) {
		this.f = f;
	}

	public String getS() {
		return s;
	}

	public void setS(String s) {
		this.s = s;
	}

	public String getX() {
		return x;
	}

	public void setX(String x) {
		this.x = x;
	}

	public String getY() {
		return y;
	}

	public void setY(String y) {
		this.y = y;
	}

	public String getZ() {
		return z;
	}

	public void setZ(String z) {
		this.z = z;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Timestamp getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Timestamp createTime) {
		this.createTime = createTime;
	}

	public String getCreateUser() {
		return createUser;
	}

	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}

	public String getEventName() {
		return eventName;
	}

	public void setEventName(String eventName) {
		this.eventName = eventName;
	}

	public Timestamp getEventTime() {
		return eventTime;
	}

	public void setEventTime(Timestamp eventTime) {
		this.eventTime = eventTime;
	}

	public String getEventUser() {
		return eventUser;
	}

	public void setEventUser(String eventUser) {
		this.eventUser = eventUser;
	}

	public String getEventComment() {
		return eventComment;
	}

	public void setEventComment(String eventComment) {
		this.eventComment = eventComment;
	}
	
}
